=== data/highlighting/CMakeLists.txt ===
install(FILES highlighting.lua
DESTINATION ${DATA_INSTALL_DIR}/tagua/highlighting)
