=== data/piece_icons/CMakeLists.txt ===
install(FILES
  b.png
  k.png
  n.png
  p.png
  q.png
  r.png
DESTINATION ${DATA_INSTALL_DIR}/tagua/pictures)
