## tagua 1.0~alpha2-16

=== CMakeLists.txt ===
project(tagua)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(Tagua)
include(CMakeFindDependencyMacro)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

if (NOT CMAKE_BUILD_TYPE)
  set(DEBUG_BUILD 0)
else (NOT CMAKE_BUILD_TYPE)
  string(REGEX MATCH "debug" DEBUG_BUILD ${CMAKE_BUILD_TYPE})
endif (NOT CMAKE_BUILD_TYPE)

# boost
FIND_PACKAGE(Boost)

# lua
IF(SYSTEM_LUA) # use lua installed in the system
  INCLUDE(FindPkgConfig)

  # set LUA_LDFLAGS _CFLAGS _INCLUDE_DIRS _LIBRARY_DIRS
  IF(LUA_PKG)
    pkg_check_modules(LUA REQUIRED ${LUA_PKG})
  ELSE(LUA_PKG)
    pkg_check_modules(LUA lua5.1)
    IF(NOT LUA_FOUND)
      pkg_check_modules(LUA REQUIRED lua)
    ENDIF(NOT LUA_FOUND)
  ENDIF(LUA_PKG)

  ADD_CUSTOM_TARGET(lua_library)
ELSE(SYSTEM_LUA) # use the embedded lua source
  SET(LUA_BIN_DIR "${CMAKE_CURRENT_BINARY_DIR}/lua")
  SET(LUA_INCLUDE_DIRS "${LUA_BIN_DIR}/include")
  SET(LUA_LIBRARY_DIRS "${LUA_BIN_DIR}")
  SET(LUA_LDFLAGS lua)

  ADD_SUBDIRECTORY(lua)
ENDIF(SYSTEM_LUA)

# FIXME: this def is buggy in 4:16.08.3-1
set(KDEGAMES_INCLUDE_DIR "/usr/include/KF5/KF5KDEGames")

ADD_DEFINITIONS(-fexceptions -fPIC)
find_package(Qt5 REQUIRED
  Core
  Widgets
  Svg
)
find_package(KF5 REQUIRED COMPONENTS
  KDEGames
  KDELibs4Support
)


set(CMAKE_CXX_FLAGS_DEBUGFULL "${CMAKE_C_FLAGS_DEBUGFULL} -DTAGUA_DEBUG")
add_definitions(-DQT_NO_KEYWORDS ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(translations)

enable_testing()
add_subdirectory(tests)
