=== lua/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.4

# Default target executed when no arguments are given to make.
default_target: all

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canoncical targets will work.
.SUFFIXES:

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /export/work/yann/games/tagua/tagua

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /export/work/yann/games/tagua/tagua

# Include the progress variables for this target.
include CMakeFiles/progress.make

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/ccmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -P cmake_install.cmake

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake

# Special rule for the target install/local
install/local/fast: install/local

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Only default component available"

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/cmake -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	cd /export/work/yann/games/tagua/tagua/lua && /usr/bin/ctest --force-new-ctest-process $(ARGS)

# Special rule for the target test
test/fast: test

# The main all target
all: cmake_check_build_system
	cd /export/work/yann/games/tagua/tagua && $(CMAKE_COMMAND) -E cmake_progress_start /export/work/yann/games/tagua/tagua/CMakeFiles $(CMAKE_ALL_PROGRESS)
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/all
	$(CMAKE_COMMAND) -E cmake_progress_start /export/work/yann/games/tagua/tagua/CMakeFiles 0

# The main clean target
clean:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/clean

# The main clean target
clean/fast: clean

# Prepare targets for installation.
preinstall: all
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/preinstall

# clear depends
depend:
	$(CMAKE_COMMAND) -H$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1

# Convenience name for target.
lua/CMakeFiles/lua.dir/rule:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f CMakeFiles/Makefile2 lua/CMakeFiles/lua.dir/rule

# Convenience name for target.
lua: lua/CMakeFiles/lua.dir/rule

# fast build rule for target.
lua/fast:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/build

# target to build an object file
src/lapi.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.o

# target to preprocess a source file
src/lapi.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.i

# target to generate assembly for a file
src/lapi.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lapi.s

# target to build an object file
src/lauxlib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.o

# target to preprocess a source file
src/lauxlib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.i

# target to generate assembly for a file
src/lauxlib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lauxlib.s

# target to build an object file
src/lbaselib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.o

# target to preprocess a source file
src/lbaselib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.i

# target to generate assembly for a file
src/lbaselib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lbaselib.s

# target to build an object file
src/lcode.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.o

# target to preprocess a source file
src/lcode.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.i

# target to generate assembly for a file
src/lcode.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lcode.s

# target to build an object file
src/ldblib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.o

# target to preprocess a source file
src/ldblib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.i

# target to generate assembly for a file
src/ldblib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldblib.s

# target to build an object file
src/ldebug.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.o

# target to preprocess a source file
src/ldebug.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.i

# target to generate assembly for a file
src/ldebug.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldebug.s

# target to build an object file
src/ldo.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.o

# target to preprocess a source file
src/ldo.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.i

# target to generate assembly for a file
src/ldo.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldo.s

# target to build an object file
src/ldump.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.o

# target to preprocess a source file
src/ldump.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.i

# target to generate assembly for a file
src/ldump.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/ldump.s

# target to build an object file
src/lfunc.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.o

# target to preprocess a source file
src/lfunc.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.i

# target to generate assembly for a file
src/lfunc.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lfunc.s

# target to build an object file
src/lgc.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.o

# target to preprocess a source file
src/lgc.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.i

# target to generate assembly for a file
src/lgc.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lgc.s

# target to build an object file
src/linit.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.o

# target to preprocess a source file
src/linit.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.i

# target to generate assembly for a file
src/linit.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/linit.s

# target to build an object file
src/liolib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.o

# target to preprocess a source file
src/liolib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.i

# target to generate assembly for a file
src/liolib.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/liolib.s

# target to build an object file
src/llex.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.o

# target to preprocess a source file
src/llex.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.i

# target to generate assembly for a file
src/llex.s:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/llex.s

# target to build an object file
src/lmathlib.o:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lmathlib.o

# target to preprocess a source file
src/lmathlib.i:
	cd /export/work/yann/games/tagua/tagua && $(MAKE) -f lua/CMakeFiles/lua.dir/build.make lua/CMakeFiles/lua.dir/src/lmathlib.i

# target to generate assembly for a file
src/lmathlib.s:
