=== src/CMakeLists.txt ===
--- 
+++ 
@@ -120,7 +120,7 @@
 set_source_files_properties(icsconnection.cpp
   PROPERTIES COMPILE_FLAGS -Wno-extra)
 
-kde4_add_ui_files(tagua_SRC
+ki18n_wrap_ui(tagua_SRC
   ui/pref_highlight.ui
   ui/newgamedialog.ui
   ui/pref_engines.ui
@@ -134,15 +134,26 @@
 )
 
 include_directories(
-  ${KDE4_INCLUDES}
+  ${Qt5Core_INCLUDE_DIRS}
+  ${Qt5Widgets_INCLUDE_DIRS}
+  ${Qt5Svg_INCLUDE_DIRS}
+  ${KDELibs4Support_INCLUDE_DIRS}
+
+  #${KDEGAMES_INCLUDE_DIRS}
+  /usr/include/KF5/KF5KDEGames /usr/include/KF5/KF5KDEGames/KDE
+
   ${LUA_INCLUDE_DIRS}
   ${Boost_INCLUDE_DIRS}
-  ${BLITZ_INCLUDES}
+  #${BLITZ_INCLUDES}
   ${CMAKE_CURRENT_BINARY_DIR}
+
+  #${KDEGAMES_INCLUDE_DIR}/libkdegamesprivate
+  /usr/include/KF5/KF5KDEGames/libkdegamesprivate
 )
 
 add_definitions(
   ${LUA_CFLAGS}
+  -DUSE_UNSTABLE_LIBKDEGAMESPRIVATE_API
 )
 
 if(NOT DEFINED COMPILER_HAVE_X86_MMX)
@@ -168,11 +179,11 @@
 if(DEBUG_BUILD)
   set(TAGUA_TARGET taguaprivate)
   
-  kde4_add_library(taguaprivate SHARED ${tagua_SRC})
-  kde4_add_executable(tagua main.cpp)
+  add_library(taguaprivate SHARED ${tagua_SRC})
+  add_executable(tagua main.cpp)
 else(DEBUG_BUILD)
   set(TAGUA_TARGET tagua)
-  kde4_add_executable(tagua main.cpp ${tagua_SRC})
+  add_executable(tagua main.cpp ${tagua_SRC})
 endif(DEBUG_BUILD)
 
 
@@ -182,12 +193,14 @@
   ${CMAKE_BINARY_DIR}/lib
 )
 target_link_libraries(${TAGUA_TARGET}
-  ${LUA_LINK_FLAGS}
-  ${KDE4_KDEUI_LIBS}
+  ${LUA_LDFLAGS}
   ${KDE4_KIO_LIBS}
-  ${BLITZ_LIBRARIES}
+  #${BLITZ_LIBRARIES}
   dl
-  kdegames
+  KF5KDEGames
+  KF5KDEGamesPrivate
+  KF5KDELibs4Support
+  Qt5Svg
 )  
   
 if(DEBUG_BUILD)
@@ -198,4 +211,4 @@
 
 INSTALL(TARGETS tagua DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
 install(FILES tagua.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(FILES taguaui.rc DESTINATION  ${DATA_INSTALL_DIR}/tagua)
+install(FILES taguaui.rc DESTINATION  ${KXMLGUI_INSTALL_DIR}/tagua)
