=== data/pics/CMakeLists.txt ===
install(FILES 
  promoteBishop.png
  promoteKing.png
  promoteKnight.png
  promoteQueen.png
  promoteRook.png
DESTINATION ${DATA_INSTALL_DIR}/tagua/pics)
