=== data/scripts/CMakeLists.txt ===
install(FILES 
  hllib.lua 
  movelist_textual.html
  piece_theme.lua
  shogi_themelib.lua
DESTINATION ${DATA_INSTALL_DIR}/tagua/scripts)
