=== data/themes/CMakeLists.txt ===
install_local_dir(squares/Jose tagua/themes)
install_local_dir(squares/Default tagua/themes)
install_local_dir(controls/Cool tagua/themes)
install_local_dir(controls/Cool tagua/themes)
install_local_dir(controls/Google tagua/themes)
install_local_dir(controls/XBoard tagua/themes)
install_local_dir(figurines/AsciiShogiTTF tagua/themes)
install_local_dir(figurines/FantasyTTF tagua/themes)
install_local_dir(figurines/XiangQi tagua/themes)
install_local_dir(figurines/AlphaTTF tagua/themes)
install_local_dir(figurines/ShogiTTF tagua/themes)
install_local_dir(pieces/EnquilTTF tagua/themes)
install_local_dir(pieces/LucenaTTF tagua/themes)
install_local_dir(pieces/FantasySVG tagua/themes)
install_local_dir(pieces/MayanTTF tagua/themes)
install_local_dir(pieces/SpatialSVG tagua/themes)
install_local_dir(pieces/YahooTTF tagua/themes)
install_local_dir(pieces/PrmiSVG tagua/themes)
install_local_dir(pieces/StonesSVG tagua/themes)
install_local_dir(pieces/XiangQiSVG tagua/themes)
install_local_dir(pieces/XiangQiTTF tagua/themes)
install_local_dir(pieces/AlphaTTF tagua/themes)
install_local_dir(pieces/SkullsSVG tagua/themes)
install_local_dir(pieces/ShogiSVG tagua/themes)
install_local_dir(pieces/ShogiTTF tagua/themes)
install_local_dir(pieces/ShogiSVG-TTF tagua/themes)
install_local_dir(pieces/ToriShogiTTF tagua/themes)
install_local_dir(pieces/XBoardTTF tagua/themes)
install_local_dir(pieces/BerlinTTF tagua/themes)
install_local_dir(wallpapers tagua/themes)
