=== tests/hlvariants/CMakeLists.txt ===
--- 
+++ 
@@ -13,11 +13,16 @@
   shogideserializationtest.cpp
 )
 
+add_definitions(
+  -DUSE_UNSTABLE_LIBKDEGAMESPRIVATE_API
+)
+
 include_directories(
   ${KDE4_INCLUDES}
   ${Boost_INCLUDE_DIRS}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/${main_dir}
+  /usr/include/libkdegamesprivate/
 )
 
 add_executable(hl_test ${hl_SRC})
