=== tests/luaimage/CMakeLists.txt ===
--- 
+++ 
@@ -48,7 +48,7 @@
   ${QT_LIBRARIES}
   #${QT_QTNETWORK_LIBRARIES}
   ${QT_QTSVG_LIBRARIES}
-  ${LUA_LINK_FLAGS}
+  ${LUA_LDFLAGS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
 )
