=== tests/options/CMakeLists.txt ===
--- 
+++ 
@@ -44,7 +44,7 @@
   #${QT_QTNETWORK_LIBRARIES}
   ${QT_QTSVG_LIBRARIES}
   ${QT_QTXML_LIBRARIES}
-  ${LUA_LINK_FLAGS}
+  ${LUA_LDFLAGS}
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
 )
