## tagua 1.0~alpha2-16-g618c6a0

=== debian/changelog ===
tagua (1.0~alpha2-16-g618c6a0-1) unstable; urgency=medium

  * Port to Qt5/KF5 (Closes: #875201)
  * Switch packaging to format 3.0 (quilt).
  * Take source from good old repo.or.cz git repository, update
    copyright file.

 -- Yann Dirson <dirson@debian.org>  Sat, 30 Sep 2017 22:53:36 +0200

tagua (1.0~alpha2-15) unstable; urgency=medium

  * Don't refresh .pot and .po file on each build to make the build
    reproducible.

 -- Yann Dirson <dirson@debian.org>  Sun, 17 Jul 2016 00:18:02 +0200

tagua (1.0~alpha2-14) unstable; urgency=medium

  * Fix build of tests, build-depend on libcppunit-dev to get them built.
  * Switch to dh, bump compat level to 9 (Closes: #806116)

 -- Yann Dirson <dirson@debian.org>  Sat, 16 Jul 2016 22:06:23 +0200

tagua (1.0~alpha2-13) unstable; urgency=medium

  * Fixed build failure with g++-6 (Closes: #811629):
    * implicit conversions of shared_ptr to bool
    * uses of boost::shared_ptr without explicit namespace
  * Removed long-invalid debian/watch.
  * Fixed email address in README.Debian

 -- Yann Dirson <dirson@debian.org>  Thu, 07 Jul 2016 00:41:19 +0200

tagua (1.0~alpha2-12) unstable; urgency=low

  * Adjusted build-deps to require kdegames 4.10, since apparently
    libkdegamesprivate was not part of 4.8.

 -- Yann Dirson <dirson@debian.org>  Mon, 19 Aug 2013 18:12:54 +0200

tagua (1.0~alpha2-11) unstable; urgency=low

  * Fix FTBFS with kdegames 4.10 (Pino Toscano, Closes: #717415).

 -- Yann Dirson <dirson@debian.org>  Sun, 18 Aug 2013 15:13:06 +0200

tagua (1.0~alpha2-10) unstable; urgency=low

  [ Cyril Brulebois ]
  * Fixed FTBFS with gcc 4.7 by using “this->” where needed (Closes: #667389).

  [ Yann Dirson ]
  * Fixed typo in previous changelog entry (lintian).

 -- Yann Dirson <dirson@debian.org>  Sun, 13 May 2012 21:01:27 +0200

tagua (1.0~alpha2-9) unstable; urgency=low

  * Fixed build on at least amd64 (Pino Toscano, Closes: #582991).
  * Explicitly state 1.0 as debian/source/format.
  * Bumped Standards-Version to 3.8.4, no change.

 -- Yann Dirson <dirson@debian.org>  Wed, 23 Jun 2010 23:29:02 +0200

tagua (1.0~alpha2-8) unstable; urgency=low

  * Upload to unstable, at last.
  * Suggest the various xboard-compatible IAs, as well as shogi and
    minishogi IAs.
  * Bumped Standards-Version to 3.8.3, no change.

 -- Yann Dirson <dirson@debian.org>  Sat, 05 Sep 2009 22:03:31 +0200

tagua (1.0~alpha2-7) experimental; urgency=low

  * Rebuild with kde 4.2, following soname and package name changes for
    libkdegames; update build-deps accordingly.

 -- Yann Dirson <dirson@debian.org>  Sat, 07 Feb 2009 17:41:15 +0100

tagua (1.0~alpha2-6) experimental; urgency=low

  * Add build-dependency on pkg-config - the previous upload did not fox
    the problem, but at least it made the cause visible (Closes: #479376).

 -- Yann Dirson <dirson@debian.org>  Mon, 05 May 2008 20:43:20 +0200

tagua (1.0~alpha2-5) experimental; urgency=low

  * Use the FindPkgConfig cmake package instead of the deprecated
    UsePkgConfig, in the home that it will solve #479376.

 -- Yann Dirson <dirson@debian.org>  Sun, 04 May 2008 17:49:29 +0200

tagua (1.0~alpha2-4) experimental; urgency=low

  * Updated code from candidate stable upstream branch
    (tagua/yd.git#stable):
    * Fixed currentChanged signal connection to occur after game has been
      created, to avoid a crash caused by Qt 4.4 changing expectations.
    * Fixed tori shogi theme.
  * Build-depend on kdelibs4 4.0.72 or better to avoid the problems of
    extraneous shared-libs dependencies causing FTBFS everywhere (Closes:
    #479092).

 -- Yann Dirson <dirson@debian.org>  Sat, 03 May 2008 01:23:59 +0200

tagua (1.0~alpha2-3) experimental; urgency=low

  * Address name clashes which confuse g++-4.3 (Closes: #477123).

 -- Yann Dirson <dirson@debian.org>  Tue, 22 Apr 2008 00:38:42 +0200

tagua (1.0~alpha2-2) experimental; urgency=low

  * Configure with CMAKE_SKIP_RPATH:BOOL=YES to avoid linking executable
    with rpath, as per policy.
  * Remove the cmake cache when cmake fails, to prevent make to think
    cmake has run.

 -- Yann Dirson <dirson@debian.org>  Tue, 08 Apr 2008 21:25:30 +0200

tagua (1.0~alpha2-1) experimental; urgency=low

  * Initial Release (Closes: #474254).

 -- Yann Dirson <dirson@debian.org>  Thu, 03 Apr 2008 21:56:46 +0200
