=== debian/control ===
Source: tagua
Section: games
Priority: optional
Maintainer: Yann Dirson <dirson@debian.org>
Build-Depends: debhelper (>= 9), libkf5kdegames-dev, libkf5kdelibs4support-dev, libqt5svg5-dev, cmake, extra-cmake-modules, libboost-dev, liblua5.1-0-dev, kdesdk-scripts, pkg-config, libcppunit-dev
Standards-Version: 3.8.4

Package: tagua
Architecture: any
Depends: tagua-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: gnuchess, phalanx, crafty, sjeng, fairymax, gnushogi, gnuminishogi, gpsshogi
Description: Board-game frontend for playing chess variants and other games
 Tagua is a frontend for a variety of board games.  Currently
 supported games include chess, shogi and a couple of variants of
 those games.
 .
 Tagua is based on a powerful plugin system that allows many games to
 share the same graphical framework, game history handling,
 interoperability with AI engines and connectivity to network servers.
 .
 It currently has support for xboard-compatible chess engines, and
 xshogi-compatible shogi engines, as well as network play on chess ICS
 servers.

Package: tagua-data
Architecture: all
Depends: ${misc:Depends}
Description: Theme data for the tagua board-game frontend
 This package contains the architecture independent data files
 required by tagua.
