=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

QT5HOSTBIN := $(shell pkg-config --print-errors --variable=host_bins Qt5Core)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DSYSTEM_LUA=yes \
		-DCMAKE_SKIP_RPATH:BOOL=YES \
		-DCMAKE_INSTALL_PREFIX:PATH=/usr \
		-DQT_QMAKE_EXECUTABLE:FILEPATH=$(QT5HOSTBIN)/qmake

override_dh_auto_install:
	dh_auto_install
	cd debian/tmp && mv usr/bin usr/games

override_dh_install:
	dh_install --fail-missing
